<sqtm-core-customisable-dialog
  [titleKey]="
    'sqtm-core.requirement-workspace.dialog.artificial-intelligence.generate-test-case.generated-test-cases'
  "
  [dialogId]="'ai-generate-test-cases'"
>
  <sqtm-core-dialog-body>
    <div class="m-15">
      @for (testCase of testCasesDisplayData; track testCase.name) {
        <sqtm-app-generated-test-case-foldable-row
          [testCase]="testCase"
          [isSimulation]="true"
        >
        </sqtm-app-generated-test-case-foldable-row>
      }
    </div>
  </sqtm-core-dialog-body>

  <sqtm-core-dialog-footer class="m-t-10 flex">
    <button
      nz-button
      nzType="default"
      sqtmCoreDialogClose
      [attr.data-test-dialog-button-id]="'close'"
    >
      {{ 'sqtm-core.generic.label.close' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
